
Redmine - Defect #4701

Project tree structure is broken by deleting the project with the subproject

2010-01-31 10:11 - Yoshitaka Konishi

Status: Closed Start date: 2010-01-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 0.9.2   

Resolution: Fixed Affected version: 0.9.1

Description

The project tree breaks by the following operating it.

1. Make the following project tree.

Project A

SubProject of A

Project B

SubProject of B

2. Delete Project A with the SubProject.

This problem was confirmed by version 0.9.1.

Related issues:

Has duplicate Redmine - Defect #5099: When deleting a project with children, ... Closed 2010-03-17

Associated revisions

Revision 3354 - 2010-01-31 11:39 - Jean-Philippe Lang

Fixed: deleting a project with subprojects breaks the project tree (#4701).

History

#1 - 2010-01-31 11:32 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.2

- Affected version (unused) set to 0.9.1

- Resolution set to Fixed

- Affected version set to 0.9.1

Fixed in r3354.

Fixing your project tree can be done by running the following command from your Redmine directory:

ruby script/runner -e production 'Project.rebuild!'

#2 - 2010-02-07 12:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r3381.
